HOWTO: rTorrent

Här kan du dela med dig av dina bästa tips och knep.
Kategoriregler
Här ligger de utförliga instruktionerna vi kan tänkas behöva. Leta här om du tex behöver installera nåt program eller sätta upp någon funktion. Starta inte trådar utan att ha ett svar.
Användarvisningsbild
axel112
Inlägg: 1810
Blev medlem: 04 jan 2007, 00:13
OS: Ubuntu
Ort: Eslöv

SV: HOWTO: rTorrent

Inlägg av axel112 »

Finns det någon inställning där man kan ställa in hur många torrents man vill låta ladda upp istället för att stoppa/starta olika torrents?
hub
Inlägg: 74
Blev medlem: 15 feb 2007, 17:34

SV: HOWTO: rTorrent

Inlägg av hub »

Mekaniserad Apelsin skrev: Ok, då gör väl jag det!

Kod: Markera allt

#!/bin/bash

#######################
##START CONFIGURATION##
#######################

# OBSERVE: 
# Make sure all "links" in your .rtorrent.rc files are absolute (i.e. no ~/torrentdir, they MUST be in the format /home/user/torrentdir)

user=("user1" "user2")

#For starting for just one user: 
# user=("user")
#
#For several:
# user=("user1" "user2" "user3" "user4")


for i in ${!user[@]}; do
	base[$i]=/home/${user[$i]}
	config[$i]=${base[$i]}/.rtorrent.rc
done

srnname="rtorrent" 
#######################
###END CONFIGURATION###
#######################
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="rtorrent"
NAME=rtorrent
DAEMON=/usr/bin/$NAME
SCRIPTNAME=/etc/init.d/$NAME

# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0

checkcnfg() {
  	for i in ${!user[@]} ; do
		if ! [ -r "${config[i]}" ] ; then
			echo "cannot find readable config ${config[i]}. check that it is there and permissions are appropriate">&2
			exit 3
		fi
		session=$(cat "${config[i]}" | grep "^[[:space:]]*session" | sed "s/^[[:space:]]*session[[:space:]]*=[[:space:]]*//")
		if ! [ -d "${session}" ] ; then
			echo "cannot find readable session directory ${session} from config ${config[i]}. check permissions">&2
			exit 3
		fi
	done
}

d_start() {
   for i in ${!user[@]} ; do
  	[ -d "${base[$i]}" ] && cd "${base[$i]}"
  	stty stop undef && stty start undef
  	su -c "screen -ls | grep "\.${srnname}[[:space:]]" > /dev/null" ${user[$i]} || su -c "screen -dm -S ${srnname}" ${user[$i]}
  	sleep 3
  	su -c "screen -S "${srnname}" -X screen rtorrent" ${user[$i]}
  done
}

d_stop() {
  for i in ${!user[@]}; do
  	session=$(cat "${config[i]}" | grep "^[[:space:]]*session" | sed "s/^[[:space:]]*session[[:space:]]*=[[:space:]]*//")
	pid=$(cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g")
	# make sure the pid doesn't belong to another process
	# skip the pid otherwise
	if ps -A | grep ${pid}.*rtorrent > /dev/null ; then
		kill -s INT ${pid}
	fi
  done
}

checkcnfg

case "$1" in
  start)
	echo -n "Starting $DESC: $NAME"
	d_start
	echo "."
	;;
  stop)
	echo -n "Stopping $DESC: $NAME"
	d_stop
	echo "."
	;;
  restart|force-reload)
	echo -n "Restarting $DESC: $NAME"
	d_stop
	sleep 1
	d_start
	echo "."
	;;
  *)
	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
Så kör gksudo gedit /etc/init.d/rtorrent i en terminal, klistra in texten, byt ut raden user mot dina värden (och fixa enligt raden ovanför).

Kör (i samma terminal):

sudo chmod a+x /etc/init.d/rtorrent
sudo update-rc.d rtorrent defaults


testa om du vill med sudo /etc/init.d/rtorrent start

För att komma åt "screenen" loggar du in som den användaren och skriver screen -dr rtorrent


Jag är väldigt säker på att den första koden jag postade fungerar om man byter den första raden till (exakt): #!/bin/bash (var nogrann med att inte ha mellanslag)!!!
Har gjort enligt dessa instruktioner.

Kod: Markera allt

hub@ubuntu-server:~$ sudo /etc/init.d/rtorrent start
cannot find readable session directory  from config /home/hub/.rtorrent.rc. check permissions
Min .rtorrent.rc

Kod: Markera allt

# This is an example resource file for rTorrent. Copy to
# ~/.rtorrent.rc and enable/modify the options as needed. Remember to
# uncomment the options you wish to enable.

# Maximum and minimum number of peers to connect to per torrent.
#min_peers = 40
#max_peers = 100

# Same as above but for seeding completed torrents (-1 = same as downloading)
#min_peers_seed = 10
#max_peers_seed = 50

# Maximum number of simultanious uploads per torrent.
#max_uploads = 15

# Global upload and download rate in KiB. "0" for unlimited.
download_rate = 0
upload_rate = 0

# Default directory to save the downloaded torrents.
directory = /home/hub/torrents/downloads

# Default session directory. Make sure you don't run multiple instance
# of rtorrent using the same session directory. Perhaps using a
# relative path?

session = /home/hub/torrents/sessions

# Watch a directory for new torrents, and stop those that have been
# deleted.
schedule = watch_directory,5,5,load_start=/home/hub/torrents/torrentfiles/*.torrent
schedule = untied_directory,5,5,stop_untied=

# Close torrents when diskspace is low.
schedule = low_diskspace,5,60,close_low_diskspace=100M

# Stop torrents when reaching upload ratio in percent,
# when also reaching total upload in bytes, or when
# reaching final upload ratio in percent.
# example: stop at ratio 2.0 with at least 200 MB uploaded, or else ratio 20.0
schedule = ratio,60,60,"stop_on_ratio=200,200M,2000"

# The ip address reported to the tracker.
#ip = 127.0.0.1
#ip = rakshasa.no

# The ip address the listening socket and outgoing connections is
# bound to.
#bind = 127.0.0.1
#bind = rakshasa.no

# Port range to use for listening.
port_range = 6890-6999

# Start opening ports at a random position within the port range.
#port_random = no

# Check hash for finished torrents. Might be usefull until the bug is
# fixed that causes lack of diskspace not to be properly reported.
#check_hash = no

# Set whetever the client should try to connect to UDP trackers.
#use_udp_trackers = yes

# Alternative calls to bind and ip that should handle dynamic ip's.
#schedule = ip_tick,0,1800,ip=rakshasa
#schedule = bind_tick,0,1800,bind=rakshasa

# Encryption options, set to none (default) or any combination of the following:
# allow_incoming, try_outgoing, require, require_RC4, enable_retry, prefer_plaintext
#
# The example value allows incoming encrypted connections, starts unencrypted
# outgoing connections but retries with encryption if they fail, preferring
# plaintext to RC4 encryption after the encrypted handshake
#
# encryption = allow_incoming,enable_retry,prefer_plaintext

# Enable DHT support for trackerless torrents or when all trackers are down.
# May be set to "disable" (completely disable DHT), "off" (do not start DHT),
# "auto" (start and stop DHT as needed), or "on" (start DHT immediately).
# The default is "off". For DHT to work, a session directory must be defined.
# 
# dht = auto

# UDP port to use for DHT. 
# 
# dht_port = 6881

# Enable peer exchange (for torrents not marked private)
#
# peer_exchange = yes

#
# Do not modify the following parameters unless you know what you're doing.
#

# Hash read-ahead controls how many MB to request the kernel to read
# ahead. If the value is too low the disk may not be fully utilized,
# while if too high the kernel might not be able to keep the read
# pages in memory thus end up trashing.
#hash_read_ahead = 10

# Interval between attempts to check the hash, in milliseconds.
#hash_interval = 100

# Number of attempts to check the hash while using the mincore status,
# before forcing. Overworked systems might need lower values to get a
# decent hash checking rate.
#hash_max_tries = 10


on_finished = move_complete,"execute=mv,-u,$d.get_base_path=,/home/hub/torrents/finished/ ;d.set_directory=/home/hub/torrents/finished/"
Hur ska jag fixa detta?
Användarvisningsbild
Mekaniserad Apelsin
Hedersmedlem
Inlägg: 3777
Blev medlem: 27 maj 2006, 12:24
OS: Ubuntu
Ort: Stockholm
Kontakt:

SV: HOWTO: rTorrent

Inlägg av Mekaniserad Apelsin »

hub skrev: Har gjort enligt dessa instruktioner.

Kod: Markera allt

hub@ubuntu-server:~$ sudo /etc/init.d/rtorrent start
cannot find readable session directory  from config /home/hub/.rtorrent.rc. check permissions
[...]
Hur ska jag fixa detta?
Vad säger ls -al  /home/hub/.rtorrent.rc ?

Existerar mappen /home/hub/torrents/sessions ?

Se till att katalogerna /home/hub/torrents/sessions /home/hub/torrents/downloads och /home/hub/torrents/torrentfiles/ finns.

Görs enklast genom att köra:
mkdir /home/hub/torrents
mkdir /home/hub/torrents/sessions
mkdir /home/hub/torrents/downloads
mkdir /home/hub/torrents/torrentfiles
Senast redigerad av 1 Mekaniserad Apelsin, redigerad totalt 31 gånger.
More Mekaniserad at http://blippe.se.
hub
Inlägg: 74
Blev medlem: 15 feb 2007, 17:34

SV: HOWTO: rTorrent

Inlägg av hub »

Mekaniserad Apelsin skrev:
hub skrev: Har gjort enligt dessa instruktioner.

Kod: Markera allt

hub@ubuntu-server:~$ sudo /etc/init.d/rtorrent start
cannot find readable session directory  from config /home/hub/.rtorrent.rc. check permissions
[...]
Hur ska jag fixa detta?
Vad säger ls -al  /home/hub/.rtorrent.rc ?

Existerar mappen /home/hub/torrents/sessions ?
Snabbt svar! :)
Alla mappar finns

Kod: Markera allt

hub@ubuntu-server:~$ ls -al  /home/hub/.rtorrent.rc
-rwxrwxrwx 1 hub hub 3834 2008-01-31 15:48 /home/hub/.rtorrent.rc
hub@ubuntu-server:~/torrents$ ls -al
total 24
drwxr-xr-x 6 hub hub 4096 2008-01-31 15:00 .
drwxr-xr-x 5 hub hub 4096 2008-01-31 15:08 ..
drwxr-xr-x 2 hub hub 4096 2008-01-31 14:55 downloads
drwxr-xr-x 2 hub hub 4096 2008-01-31 14:55 finished
drwxr-xr-x 2 hub hub 4096 2008-01-31 15:21 sessions
drwxr-xr-x 2 hub hub 4096 2008-01-31 14:55 torrentfiles
Senast redigerad av 1 hub, redigerad totalt 31 gånger.
Användarvisningsbild
Mekaniserad Apelsin
Hedersmedlem
Inlägg: 3777
Blev medlem: 27 maj 2006, 12:24
OS: Ubuntu
Ort: Stockholm
Kontakt:

SV: HOWTO: rTorrent

Inlägg av Mekaniserad Apelsin »

Det här är ju jätteknäppt, lust att posta en exakt kopia av din /etc/init.d/rtorrent ?
More Mekaniserad at http://blippe.se.
hub
Inlägg: 74
Blev medlem: 15 feb 2007, 17:34

SV: HOWTO: rTorrent

Inlägg av hub »

Mekaniserad Apelsin skrev: Det här är ju jätteknäppt, lust att posta en exakt kopia av din /etc/init.d/rtorrent ?
Ja visst är det skummt!
Och rtorrent funkar hur bra som helst om jag startar den manuellt!

Kod: Markera allt

#!/bin/bash
#############
###<Notes>###
#############
# This script depends on screen.
# For the stop function to work, you must set an
# explicit session directory using absolute paths (no, ~ is not absolute) in your rtorrent.rc.
# If you typically just start rtorrent with just "rtorrent" on the
# command line, all you need to change is the "user" option.
# Attach to the screen session as your user with 
# "screen -dr rtorrent". Change "rtorrent" with srnname option.
# Licensed under the GPLv2 by lostnihilist: lostnihilist _at_ gmail _dot_ com
##############
###</Notes>###
##############

#######################
##Start Configuration##
#######################
# You can specify your configuration in a different file 
# (so that it is saved with upgrades, saved in your home directory,
# or whatever reason you want to)
# by commenting out/deleting the configuration lines and placing them
# in a text file (say /home/user/.rtorrent.init.conf) exactly as you would
# have written them here (you can leave the comments if you desire
# and then uncommenting the following line correcting the path/filename 
# for the one you used. note the space after the ".".
# . /etc/rtorrent.init.conf


#Do not put a space on either side of the equal signs e.g.
# user = user 
# will not work
# system user to run as (can only use one)
user="hub"

# system user to run as # not implemented, see d_start for beginning implementation
# group=$(id -ng "$user")

# the full path to the filename where you store your rtorrent configuration
# must keep parentheses around the entire statement, quotations around each config file
# config=("/home/${user}/.rtorrent.rc")
# Examples:
config=("/home/hub/.rtorrent.rc")
# config=("/home/user/.rtorrent.rc" "/mnt/some/drive/.rtorrent2.rc")
# config=("/home/user/.rtorrent.rc"
# "/mnt/some/drive/.rtorrent2.rc"
# "/mnt/another/drive/.rtorrent3.rc")

# set of options to run with each instance, separated by a new line
# must keep parentheses around the entire statement
#if no special options, specify with: ""
options=("")
# Examples:
# starts one instance, sourcing both .rtorrent.rc and .rtorrent2.rc
# options=("-o import=~/.rtorrent2.rc")
# starts two instances, ignoring .rtorrent.rc for both, and using
# .rtorrent2.rc for the first, and .rtorrent3.rc for the second
# we do not check for valid options
# options=("-n -o import=~/.rtorrent2.rc" "-n -o import=~/rtorrent3.rc")

# default directory for screen, needs to be an absolute path
#base="/home/${user}"
base="/home/hub"
# name of screen session
srnname="rtorrent"

# file to log to (makes for easier debugging if something goes wrong)
logfile="/var/log/rtorrentInit.log"
#######################
###END CONFIGURATION###
#######################

PATH=/usr/bin:/usr/local/bin:/usr/local/sbin:/sbin:/bin:/usr/sbin
DESC="rtorrent"
NAME=rtorrent
DAEMON=$NAME
SCRIPTNAME=/etc/init.d/$NAME

checkcnfg() {
  exists=0
  for i in `echo "$PATH" | tr ':' '\n'` ; do
    if [ -f $i/$NAME ] ; then
      exists=1
      break
    fi
  done
  if [ $exists -eq 0 ] ; then
    echo "cannot find $NAME binary in PATH: $PATH" | tee -a "$logfile" >&2
    exit 3
  fi
  for (( i=0 ; i < ${#config[@]} ;  i++ )) ; do
	if ! [ -r "${config[i]}" ] ; then
		echo "cannot find readable config ${config[i]}. check that it is there and permissions are appropriate"  | tee -a "$logfile" >&2
		exit 3
	fi
	session=$(getsession "${config[i]}")
	if ! [ -d "${session}" ] ; then
		echo "Cannot find readable session directory ${session} from config ${config[i]} . Check permissions" | tee -a "$logfile" >&2
		exit 3
	fi
  done
}

d_start() {
  [ -d "${base}" ] && cd "${base}"
  stty stop undef && stty start undef
  su -c "screen -S "${srnname}" -X screen rtorrent ${options} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2
  # this works for the screen command, but starting rtorrent below adopts screen session gid
  # even if it is not the screen session we started (e.g. running under an undesirable gid
  #su -c "screen -ls | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "sg \"$group\" -c \"screen -fn -dm -S ${srnname} 2>&1 1>/dev/null\"" ${user} | tee -a "$logfile" >&2
  for (( i=0 ; i < ${#options[@]} ; i++ )) ;  do
    sleep 3
    su -c "screen -S "${srnname}" -X screen rtorrent ${options[i]} 2>&1 1>/dev/null" ${user} | tee -a "$logfile" >&2
  done
}

d_stop() {
  for (( i=0 ; i < ${#config[@]} ; i++ )) ; do
	session=$(getsession "${config[i]}")
	if ! [ -s ${session}/rtorrent.lock ] ; then
		return
	fi
	pid=$(cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g")
	# make sure the pid doesn't belong to another process
	if ps -A | grep -sq ${pid}.*rtorrent ; then
		kill -s INT ${pid}
	fi
  done
}

getsession() { 
	session=$(awk '/^[[:space:]]*session[[:space:]]*=[[:space:]]*/{print($3)}' "${config[i]}")
	#session=${session/#~/`getent passwd ${user}|cut -d: -f6`}
	echo $session
}

checkcnfg

case "$1" in
  start)
	echo -n "Starting $DESC: $NAME"
	d_start
	echo "."
	;;
  stop)
	echo -n "Stopping $DESC: $NAME"
	d_stop
	echo "."
	;;
  restart|force-reload)
	echo -n "Restarting $DESC: $NAME"
	d_stop
	sleep 1
	d_start
	echo "."
	;;
  *)
	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
Användarvisningsbild
Mekaniserad Apelsin
Hedersmedlem
Inlägg: 3777
Blev medlem: 27 maj 2006, 12:24
OS: Ubuntu
Ort: Stockholm
Kontakt:

SV: HOWTO: rTorrent

Inlägg av Mekaniserad Apelsin »

Ah, du använder inte över huvud taget den /etc/init.d/rtorrent som jag postade senast och du citerar utan en annan /etc/init.d/rtorrent-fil... Byt mot den du citerar så ska det nog gå bra.
More Mekaniserad at http://blippe.se.
hub
Inlägg: 74
Blev medlem: 15 feb 2007, 17:34

SV: HOWTO: rTorrent

Inlägg av hub »

Mekaniserad Apelsin skrev: Ah, du använder inte över huvud taget den /etc/init.d/rtorrent som jag postade senast och du citerar utan en annan /etc/init.d/rtorrent-fil... Byt mot den du citerar så ska det nog gå bra.
Jepp, nu funkar det! :)

Var dock tvungen att ändra daemon path, då om man kompilerar med standard så hamnar den i /usr/local/bin/rtorrent, och inte /usr/bin/rtorrent.

Man tackar ödmjukast för hjälpen! :)
Schattiz
Inlägg: 2
Blev medlem: 01 feb 2008, 17:58

SV: HOWTO: rTorrent

Inlägg av Schattiz »

Blev verkligen jätte glad när jag hittade denna guiden, verkligen kanon. Jag kör Linux på min XBOX och till den så är rtorrent helt perfekt, speciellt när man som jag är helt färsk i linux-världen. :)

Men jag har en fråga som stör mig något väldigt, säkert en jätte puckad fråga.

När jag sänker nedladdningshastigheten så sänks även uppladdningshastigheten.
Men så fort som jag throttlar downloads så ökar även upload, varför är det så?
Jag har testat med andra portar, stänga av brandväggen, ja allt möjligt.

Här är min .rtorrent.rc
# Maximum and minimum number of peers to connect to per torrent.
#min_peers = 10
max_peers = 200

# Same as above but for seeding completed torrents (-1 = same as downloading)
#min_peers_seed = 10
max_peers_seed = 200

# Maximum number of simultanious uploads per torrent.
max_uploads = 500

# Global upload and download rate in KiB. "0" for unlimited.
download_rate = 50
upload_rate = 0

# Default directory to save the downloaded torrents.
directory = /wiitorrents/Torrents

# Default session directory.
session = /wiitorrents/Session

# Watch a directory for new torrents, and stop those that have been
# deleted.
schedule = watch_directory,5,5,load_start=/wiitorrents/PutTorrentsHere/*.torrent
schedule = untied_directory,5,5,stop_untied=

# Close torrents when diskspace is low.
schedule = low_diskspace,5,60,close_low_diskspace=100M

#Stop torrents when reaching upload ratio in percent,
# when also reaching total upload in bytes, or when
# reaching final upload ratio in percent.
# example: stop at ratio 2.0 with at least 200 MB uploaded, or else ratio 20.0
#schedule = ratio,60,60,stop_on_ratio=200,200M,2000

# Port range to use for listening.
port_range = 6890-6999

# Start opening ports at a random position within the port range.
port_random = yes

# Set whetever the client should try to connect to UDP trackers.
use_udp_trackers = yes
Skulle bli väldigt tacksam om jag fick hjälp med detta.
MVH
/Schatz
Emil.s
Inlägg: 6633
Blev medlem: 12 dec 2006, 23:20
OS: Ubuntu
Ort: /Dalarna/Hedemora/
Kontakt:

SV: HOWTO: rTorrent

Inlägg av Emil.s »

Schattiz skrev: Massor av text....
Hm, många trackers brukar göra så att ju snabbare man laddar upp, ju snabbare laddar man ner.
Eller är det linux isos du tankar?  8)
Home sweet ~/ = http://sandnabba.se
Schattiz
Inlägg: 2
Blev medlem: 01 feb 2008, 17:58

SV: HOWTO: rTorrent

Inlägg av Schattiz »

Ok, men då är det inte rtorrent eller nåt som jag kan påverka, har inte tankat så mkt från den torrentsidan. Får testa att tanka ifrån någon annan torrentsida och se om det blir likadant.
Tack för svaret.  ;)
MVH
elfizz
Inlägg: 60
Blev medlem: 06 jun 2007, 18:52

SV: HOWTO: rTorrent

Inlägg av elfizz »

Går det att ställa in rtorrent så man kör genom en proxy?
tweeek
Inlägg: 610
Blev medlem: 18 nov 2007, 19:39
OS: Ubuntu
Ort: Stockholm, Sverige

SV: HOWTO: rTorrent

Inlägg av tweeek »

Bra guide!

Hur gör jag för att uppdatera tracker, för antingen alla torrenter eller för en i taget.

Den funktionen finns på de andra bittorrentklienter som jag har använt.

Tack på förhand!
Användarvisningsbild
HellRat
Inlägg: 376
Blev medlem: 23 nov 2006, 15:01
Ort: Stockholm

SV: HOWTO: rTorrent

Inlägg av HellRat »

Det vore najs med ett skript som kopierar in torrentfiler till torrentkatalogen och sedan startar rtorrent i en terminal om det inte redan körs. Då skulle man kunna associera .torrent till det skriptet i firefox. Hur bra som helst ju!

Nån som känner sig manad? =)
Max 350; tecken återstår: 321
Användarvisningsbild
Konservburk
Inlägg: 5919
Blev medlem: 07 apr 2007, 22:28

SV: HOWTO: rTorrent

Inlägg av Konservburk »

HellRat skrev: Det vore najs med ett skript som kopierar in torrentfiler till torrentkatalogen och sedan startar rtorrent i en terminal om det inte redan körs. Då skulle man kunna associera .torrent till det skriptet i firefox. Hur bra som helst ju!
Höftat och otestat:

Kod: Markera allt

#!/bin/sh

mv "$1" ~/torrentkatalogen/
screen -dmS rtorrent rtorrent
Användarvisningsbild
HellRat
Inlägg: 376
Blev medlem: 23 nov 2006, 15:01
Ort: Stockholm

SV: HOWTO: rTorrent

Inlägg av HellRat »

Tack! Verkar funka! jag skulle dock vilja att rtorrent öppnades direkt i en terminal. Hur gör man då?
Max 350; tecken återstår: 321
Användarvisningsbild
Konservburk
Inlägg: 5919
Blev medlem: 07 apr 2007, 22:28

SV: HOWTO: rTorrent

Inlägg av Konservburk »

HellRat skrev: Tack! Verkar funka! jag skulle dock vilja att rtorrent öppnades direkt i en terminal. Hur gör man då?
Det gör den redan.  Den öppnas direkt i screen.  Och tro det eller ej, men screen
är en terminal :P  Allt du behöver göra är att köra screen -r rtorrent så ser du
vad som pågor.  Men om du inte gillar screen så kan du köra utan det.  Eller om
du nu vill ha upp en terminal i ansiktet så kan du starta screen innuti en annan
terminal helt enkelt.
tweeek
Inlägg: 610
Blev medlem: 18 nov 2007, 19:39
OS: Ubuntu
Ort: Stockholm, Sverige

SV: HOWTO: rTorrent

Inlägg av tweeek »

Bra guide!

Har 2 frågor:

1. Hur uppdaterar jag tracker i rTorrent?

2. Jag har skapat en startare till rTorrent: gnome-terminal -e rtorrent
hur gör jag för att den ska startas i min Gnome-terminal profil som heter "rTorrent"? Nu startas den i "Standard"-profilen

Tack på förhand!
Användarvisningsbild
Konservburk
Inlägg: 5919
Blev medlem: 07 apr 2007, 22:28

SV: HOWTO: rTorrent

Inlägg av Konservburk »

tweeek skrev: 1. Hur uppdaterar jag tracker i rTorrent?
??? Du vill veta hur du säger åt rtorrent att kontakta trackern innan det
egentligen är dags?  Sök efter "Initiate tracker request" i manualbladet.

tweeek skrev: 2. Jag har skapat en startare till rTorrent: gnome-terminal -e rtorrent
hur gör jag för att den ska startas i min Gnome-terminal profil som heter "rTorrent"? Nu startas den i "Standard"-profilen
--window-with-profile=PROFILENAME
--tab-with-profile=PROFILENAME
tweeek
Inlägg: 610
Blev medlem: 18 nov 2007, 19:39
OS: Ubuntu
Ort: Stockholm, Sverige

SV: HOWTO: rTorrent

Inlägg av tweeek »

Bra guide!

Har 2 frågor:

1. Hur uppdaterar jag tracker i rTorrent?

2. Jag har skapat en startare till rTorrent: gnome-terminal -e rtorrent
hur gör jag för att den ska startas i min Gnome-terminal profil som heter "rTorrent"? Nu startas den i "Standard"-profilen

Tack på förhand!

Edit: i startaren (gnome-terminal) vill jag ha med:

-e rtorrent
--window-with-profile rTorrent
--geometry 110x21
--hide-menubar

Hur får jag alla dessa kriterier uppfyllda i en och samma startare? Vilken ordning ska jag skriva dem i? Alla fungerar enskilt, tex "gnome-terminal -e rtorrent" och "gnome-terminal --geometry 110x21"


EDIT2: Skulle ändra mitt tidigare inlägg, råkade trycka Citera -_-

Konservburk: 1. Jo, ska leta lite mer då.

2. Hittade det också, titta gärna på det jag skrev i min EDIT. Får inte profilnamnet att fungera riktigt. Använde: "gnome-terminal -e rtorrent --window-with-profile rTorrent --geometry 110x21 --hide-menubar" som startare, men då öppnades bara den terminalen jag ville ha, men "rtorrent" kördes inte.

Tack för hjälpen hittils, uppskattas verkligen :]
Senast redigerad av 1 tweeek, redigerad totalt 20 gånger.
Skriv svar

Återgå till "Guider"